%define srcname ktp-call-ui
%define rel 1

Name:   telepathy-kde-call-ui
Summary: Voice/Video Call UI for Telepathy
Version: 0.6.0
Release: %mkrel %{rel}
Url: https://projects.kde.org/projects/playground/network/telepathy/ktp-call-ui

Source0: ftp://ftp.kde.org/pub/kde/unstable/kde-telepathy/%{version}/src/%{srcname}-%{version}.tar.bz2

License: GPLv2+
Group:  Graphical desktop/KDE
BuildRequires: pkgconfig(TelepathyQt4)
BuildRequires: pkgconfig(QtGStreamer-0.10)
BuildRequires: telepathy-kde-common-internals-devel >= %{version}
BuildRequires: boost-devel

Requires: telepathy-mission-control
Requires: telepathy-gabble
Requires: gstreamer0.10-plugins-base
Requires: gstreamer0.10-plugins-good
Suggests: gstreamer0.10-plugins-bad
Suggests: telepathy-kde-accounts-kcm

Obsoletes:      telepathy-call-ui < 0.3


%description
Voice/Video Call UI for Telepathy.

%files -f %{srcname}.lang
%{_kde_bindir}/ktp-dialout-ui
%{_kde_libdir}/kde4/libexec/ktp-call-ui
%{_kde_appsdir}/ktp-call-ui/
%{_datadir}/telepathy/clients/KTp.CallUi.client
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.KTp.CallUi.service

#--------------------------------------------------------------------

%prep
%setup -q -n %{srcname}-%{version}
%apply_patches

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build
%find_lang %{srcname}


%changelog

* Wed Apr 03 2013 mikala <mikala> 0.6.0-1.mga3
+ Revision: 407386
- Update tarball to 0.6.0

* Wed Mar 13 2013 neoclust <neoclust> 0.5.80-1.mga3
+ Revision: 402385
- New version

* Wed Feb 20 2013 mikala <mikala> 0.5.3-1.mga3
+ Revision: 399546
- Update tarball to 0.5.3

* Mon Jan 14 2013 umeabot <umeabot> 0.5.2-2.mga3
+ Revision: 384257
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 mikala <mikala> 0.5.2-1.mga3
+ Revision: 332472
- Update tarball to 0.5.2
- Drop patch0 (merged)

* Tue Oct 16 2012 mikala <mikala> 0.5.1-1.mga3
+ Revision: 306886
- Update tarball to 0.5.1

* Wed Aug 29 2012 mikala <mikala> 0.5.0-1.mga3
+ Revision: 285433
- Update tarball to 0.5.0
- Add patch0 to fix build
- use pkgconfig() for BR
- remove useless provide

* Tue Jul 17 2012 neoclust <neoclust> 0.4.0-1.mga3
+ Revision: 271796
- New version 0.4.0

* Thu Apr 12 2012 mikala <mikala> 0.3-0.git20120411.1.mga2
+ Revision: 230506
- Rename package to telepathy-kde-call-ui
- Rename spec
- Rename package to telepathy-kde-call-ui
- Obsolete telepathy-call-ui
- Fix files list
- Fix BuildRequires
- Update git snapshot

  + fwang <fwang>
    - update telepathy br

* Fri Jun 24 2011 dmorgan <dmorgan> 0.0-0.git20110624.1.mga2
+ Revision: 113031
- New snapshot

* Sat Apr 16 2011 wally <wally> 0.0-0.git20110127.2.mga1
+ Revision: 86144
- fix gstreamer package names in requires/suggests

* Sat Apr 16 2011 ahmad <ahmad> 0.0-0.git20110127.1.mga1
+ Revision: 86127
- imported package telepathy-call-ui

